#include <stdio.h>
#include <math.h>

int main(){
    char c=' ';
    while(c!='q'){
        float f1, f2;
        char o;
        int n;
        float r;
        /* Leggi 2.5 + 5 */
           scanf("%c", &c);
           if (c>='a' && c<='z'){
               /* operatore */
               switch (c) {
                case 'q' : break;
                case 'l' : f1=r; 
                           scanf(" %c %f", &o, &f2); 
                           printf("%f %c %f = ", f1, o, f2);
                           break;
                case 's' : scanf("%f", &f1);
                        o=c;
                        printf("sqrt(%f) = ", f1);
                        break;
                default : c='q'; o='q';
               }
           } else if (c>='0' && c<='9') {
               f1=c-'0';
               scanf("%c", &c);
               while(c>='0' && c<='9'){
                    f1=f1*10+(c-'0');
                    scanf("%c", &c);
               }
               if (c=='.'){
                  int i;
                  float j;
                  scanf("%d", &i);
                  j=i;
                  while(j>1) j=j/10;
                  f1=f1+j;
               }
               scanf("%c %f", &o, &f2);
               printf("%f %c %f = ", f1, o, f2);
           }

        switch (o) {
            case '+' : r=f1+f2; break;
            case '-' : r=f1-f2; break;
            case '*' : r=f1*f2; break;
            case '/' : r=f1/f2; break;
            case '^' : r=powf(f1,f2); break;
            case 's' : r=sqrt(f1); break;
            default : c='q';
        }
        printf("%f\n",r); 
    }
    return 0;
}
